Model builder "TIN interpolation" python error NameError: name 'QgsDoubleSpinBox' is not defined

2019-03-13 04:02 PM - Henrik Spångmyr

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Processing/Modeller

Affected QGIS version:3.6.0 Regression?: No

Operating System: Linux Mint 19.1 Tessa Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29394

Description

In the model builder, if I search for "tin interpolation" and double click on "Interpolation > TIN interpolation" I get the python error below:

2019-03-13T15:53:49     WARNING    Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 795, in addAlgorithm

              self._addAlgorithm(alg)

              File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 798, in addAlgorithm

              dlg = ModelerParametersDialog(alg, self.model)

              File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 97, in init

              self.setupUi()

              File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 173, in setupUi

              wrapper = WidgetWrapperFactory.create_wrapper(param, self)

              File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 1837, in create_wrapper

              return WidgetWrapperFactory.create_wrapper_from_metadata(param, dialog, row, col)

              File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 1871, in create_wrapper_from_metadata

              wrapper = wrapper(param, dialog, row, col, *params)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/ui/InterpolationWidgets.py", line 356, in init

              super()._init__(param, dialog, row, col, **kwargs)

              File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 165, in init

              self.widget = self.createWidget(*kwargs)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/ui/InterpolationWidgets.py", line 366, in createWidget

              w = QgsDoubleSpinBox()

             NameError: name 'QgsDoubleSpinBox' is not defined

Associated revisions

Revision 39069d89 - 2019-03-13 11:15 PM - Nyall Dawson

[processing] Fix exception in IDW interpolation

Fixes #21578

Revision 37120202 - 2019-03-13 11:15 PM - Nyall Dawson

[processing] Fix exception in IDW interpolation

Fixes #21578
Revision 8cb08e64 - 2019-03-13 11:15 PM - Nyall Dawson

[processing] Fix exception in IDW interpolation

Fixes #21578

Revision c24f51ec - 2019-03-14 11:38 PM - Nyall Dawson

[processing] Fix exception in IDW interpolation

Fixes #21578

Revision 11d3e36e - 2019-03-15 12:18 AM - Nyall Dawson

[processing] Fix exception in IDW interpolation

Fixes #21578

Revision 1cc67688 - 2019-03-21 06:01 AM - Nyall Dawson

[processing] Fix exception in IDW interpolation

Fixes #21578

History

#1 - 2019-03-13 04:06 PM - Giovanni Manghi

Confirmed here.

#2 - 2019-03-13 11:20 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/9511

#3 - 2019-03-14 11:38 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c24f51ece807f832a2f86fddc9826df89888661f.
